Syndai Docs

Don't answer a question

POST
/api/v1/external/coding/customers/{customer_id}/seo/sites/{site_id}/questions/{key}/skip

Syndai never drafts an answer to this question again. An answered question is 409 (undo its answer instead). Returns the What people ask section. Needs coding:apps:publish; a portal member who is not an owner or admin is 403.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
site_id*string
Formatuuid
key*string

Response Body

Request fulfilled, document follows

application/json
  1. response
autopilot*boolean
no_website*boolean
pages?array<>
questions*array<>
topics*array<string>
Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/seo/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions/string/skip'
Example Response
{  "autopilot": true,  "no_website": true,  "pages": [    {      "impressions": 0,      "impressions_before": 0,      "path": "string",      "topic": "string"    }  ],  "questions": [    {      "answer": "string",      "impressions": 0,      "key": "string",      "sources": [        "string"      ],      "state": "string",      "text": "string",      "topic": "string",      "undo_commit": "string",      "url": "string"    }  ],  "topics": [    "string"  ]}
Was this page helpful?